ACPWorkbench更新记录：
[2.44.2]
1.修复ECHO老版本显示问题

[2.44.1]
1. 修复EQ_DRC增加或删减项时闪退问题；
2. 修复ECHO老版本显示问题；

[2.44.0]
1. 兼容DRC_Legacy音效；

[2.43.3]
1. 对DU200开放增加删减音效的功能；

[2.43.2]
1. 修复自定义音效闪退问题；

[2.43.1]
1. 修复echo的attenuation参数无法输入小数的bug；

[V2.43.0]
1. 将echo的attenuation参数有效数据位保留到小数点后第一位

[v2.42.0]
1. 修改DU200的硬件界面

[V2.41.0]
1. 修复有自定义音效时，导出bin时上位机闪退问题；

[v2.40.2]
1. 修复EQ超过一定数量后，控制错位问题；

[V2.40.1]
1. 修复PGA0界面里的一个bug；

[V2.40.0]
1. 增加DU200的兼容

[V2.39.12]
1. 修复自定义音效通过上位机添加时，添加完成后没有立刻主动查询自定义参数问题

[V2.39.11]
1. 修复noise gate调节参数时工具闪退问题；

[V2.39.10]
1. 修复自定义音效逻辑类型的命名方式；

[V2.39.9]
1. 修复自定义音效长传单位长度为0时引入的bug；

[V2.39.8]
1. 修改ECHO最大延时的范围到3s；

[V2.39.7]
1. 修改上位机闪退问题；
2. 修复A/B音效在导入参数时失效问题；
3. 增加AEC的兼容性；

[V2.39.5]
修改自定义音效到处.c时少一个byte的bug；

[V2.39.4]
1. 更新自定义音效

[V2.38.3]
1. 修改Howling Suppressor Fine参数格式；

[V2.38.2]
1. 修复闪退问题；

[V2.38.1]
1. 修改Howling Suppressor Fine里的定义错误；

[V2.38.0]
1. 更新了ACPWorkbench.CHS
2. 兼容协议V2.38.0

[V2.37.7]
1. 修复导出.c文件时，因为文件名字长短引起的问题；

[V2.37.6]
1. 修复导出文件名太长时的bug；

[V2.37.5]
1. 修改导出.c文件时不完整问题；

[V2.37.4]
1. 修改不兼容老版本ECHO问题；
2. 修复添加音效的显示问题；

[V2.37.3]
1. 加载音效时控件显示不全问题；

[V2.37.2]
1. A/B切换时，修改为先关闭音效，再开启需要开启的音效；

[V2.37.0]
1. 支持音效Low Level Compressor;

[V2.36.2]
1. 更新Compander的参数默认值；

[V2.36.1]
1. 支持音效Distortion DS1, Overdrive Poly和Compander音效；
2. 将noise suppressor expander的Attack Time和Release Time最大值改为32767ms；
3. Echo由原来的High Quality Enable改为Quality Mode.

[V2.35.5]
1. 修复A/B切换时的bug；

[V2.35.1]
1. 兼容新的音效AEC, Fader, Upmix_1to2, Downmix_2to1, Channel Combiner, Channel Selector;
2. 支持自定义音效添加、导入以及导出；
3，修复A/B切换时自定义音效不起效问题；

[V2.34.2]
1. 修改了noise gate hold和release标签反了的问题；
2. 解决部分电脑显示卡顿的问题；

[v2.34.0]
1. 兼容新的音效EQ_DRC

[V2.33.0]
1. 兼容新的音效Overdrive;
2. 兼容新的音效Distortion；

[V2.23.2]
1. 解决GainControl在离0dB远的地方，鼠标滚轮不起效问题；

[V2.32.1]
1. GainControl音量显示精度调成0.01dB
2. 更改EQ的LOW_PASS_ORDER1和HIGH_PASS_ORDER1的频响曲线；

[v2.32.0]
1. 兼容音效库V2.9.0;
2. 支持V2.9.0版本的9种类型的eq音效，同时兼容之前版本；
3. 支持音效Frequency Shifter Fine;
4. 支持bin类型下载，同时兼容之前mva类型下载；

[V2.31.0]
1. 兼容了最新的产品U1X
2. flash下载方式按照之前讨论更新了界面（已知类型直接跳到下载界面，未知类型显示现在方式的可选界面）
3. 兼容了最新的chorus参数
4. 兼容了flanger音效

[v2.30.2]
1. 将tag参数显示在状态栏，对于SDK同时将tag参数显示到audio effect界面；
2. 修复eq画图，在某些参数下画图有误问题；

[V2.30.1]
1. 兼容最新音效库(DRC4.0.0);
2. 删除导出文件时提醒用户“是否保存音效列表”对话框;

[V2.29.2]
1. 修复EQ模块内的gain值（带小数点的数值）需要操作2次才可以问题；
2. 修改EQ界面非100%比例显示时有些参数遮挡问题；
3. 修改之前的导入和导出路径没有各自管理问题；


[V2.29.1]
1. 修改对导入的ini文件中含有非法命名时系统崩溃的问题；

[V2.29.0]
1. Excit音效cutoff参数最低支持300Hz同时往前兼容；
2. Noise Remover音效改名为Noise Suppressor Blue;
3. Noise Suppressor音效改名为Noise Suppressor Expander;
4. 菜单栏Settings里加入HeartBeat Time设置；
5. 导出文件操作中加入同时导出.ini和.c文件选项框；

[v2.28.0]
1. 更新Noise Remover参数同时往前兼容；
2. 更新ini_convert_tool工具；

[V2.27.0]
1. 往前兼容同时兼容最新协议V2.27.0；
2. 解决EQ大界面Y轴数据显示不完全问题；

[V2.26.2]
1. 更新硬件模块和音效模块的操作界面；
2. 修改新的音效组命名规则向前兼容不好的问题；

[V2.26.1]
1. 兼容协议V2.26.1，兼容最新的音效命名规则

[V2.26.0]
1. 兼容最新的音效库V1.39.0

[V2.25.0加入
1. 支持最新协议V2.25.0;
2. 修改硬件和音效模块的界面;

[V2.24.2]
1. 修改支持的最大音效个数为128个；
2. Frame size修改功能移动到菜单栏的settings里面；

[V2.24.0]
1. 添加帧大小的控制

[V2.23.1]
1. 修复pingpong音效显示问题

[V2.23.0]
1. 支持新的音效：Sine Generator

[V2.21.15]
1. 更新调音工具的公司logo；

[V2.21.14]
1. 解决多个自定义音效控制时，命令有误问题；
2. 更新ini_convert_tools工具;

[V2.21.13]
1. 解决GPIO输入输出选择时，命令有误问题；

[V2.21.12]
1. 修复采样率切换后，EQ界面缩略图没有随之切换问题；

[V2.21.11]
1. 导出文件时，对无效的自定义音效不做重组和注释，直接原文导出。

[V2.21.10]
1. 修复V2.21.9连接BP系列SDK时闪退问题；
2. 更新协议为V2.21.3

[V2.21.9]
1. 修复自定义音效相关的错误

[v2.21.8]
1. 修复自定义音效相关的错误

[V2.21.7]
1. 修复自定义音效中参数类型为2时识别错误问题；
2. 导出的.c中对音效按照固件定义的音效名注释；
3. 规范化的eq_param.h和eq_param.c文件；

[V2.21.6]
1. 更新通信类型USB/UART选择和设置界面；
2. 更新ACPWorkbench中英文使用说明书；

[V2.21.5]
1. 修改AGC的mode显示不全问题；
2. 修改AP82xx系列AGC1的noise gate开关没有随AGC1的mode切换问题；
3. 增加升级出错误时错误号显示功能

[V2.21.4]
1. 更新ini_convert_tools工具

[V2.21.3]
1. 支持一台PC机同时打开至少2个ACPWorkbench，连接的设备可通过菜单->settings->Communication Type->USB中选择；
2. 1个ACPWorkbench支持多个固件连接，可通过菜单->settings->Communication Type->USB中选择不同的固件；
3. 集成ini_convert_tools工具，可通过菜单->file->Convert Audio Settings File调用该功能；
4. 导出的ini文件中，多了一行通信端口注释。

[V2.21.2]
1. 修复固件不连接时，上位机开着，串口会被上位机占用问题；
2. 导出的eq文件里面，eq名字中的空格换成下划线，以使编译通过

[V2.21.1]
1. 修复在DU562和DU262添加gain control音效时ACPWorkbench崩溃问题；

[V2.21.0]
1. 兼容协议V2.21.1

[V2.20.2]
1. 兼容通信协议V2.20.2

[V2.20.0]
1. 支持audioeffectlib V1.33.0并兼容之前版本；
2. 支持协议V2.20.1；
3. 修复DU562系列通过APCWorkbench升级后，概率性出现多处一个mixer gain控件问题；

[V2.19.5]
1. 支持通过鼠标滚轮或上下键来改变eq filter的gain值；
2. 支持软件DC Blocker;
3. 修改掉tooltip显示的“Tag Information”无用信息；
4. 修改版权时间到2020年；

[V2.19.4]
1. 导出eq参数的数组名以音效名来定义

[V2.19.3]
1. 修复pcm delay默认值
2. 修复reverb pro错误的tooltip

[V2.19.2]
1. 修复AGC的错误描述，兼容协议V2.19.1

[V2.19.1]
1. 修复EQ小窗口filter gain的取值范围。

[V2.19.0]
1. 支持新的音效MV3D Plus

[V2.18.2]
1. 修改BPXX导入时的兼容性判断方式，以音效列表作为是否允许导入的条件
2. 修改pingpong和echo attenuation参数范围及提示

[V2.18.1]
1. 修改EQ默认的Q值为0.707；
2. 修改EQ滤波器的gain范围为-36dB ~ 36dB；

[v2.18.0]
1. AUTO TUNE音效添加参数pitch accuracy
2. 增加BPxx Karaoke SDK固件类型

[V2.17.0]
1. 支持新的音效：ping pong

[V2.16.3]
1. 修复EQ的大界面调节Pregain时小界面未同步刷新的问题。

[V2.16.2]
1. 修复DRC界面的错误

[v2.16.1]
1. 更新EQ和DRC界面
2. 支持新的音效：Auto Wah & Stereo Widener

[V2.15.0]
1. 支持新的HID协议，并兼容老的HID协议

[v2.14.4]
1. 更改定时保存参数到文件的功能

[V2.14.3]
1.添加定时保存所有参数到文件的功能

[V2.14.2]
1.支持动态调节EQ绘图界面的Y轴范围，即在EQ曲线显示屏上右键-->Adjust Range of Y-axis。

[V2.14.1]
1. 导出文件加入上位机版本号

[V2.14.0]
1. 兼容协议V2.14.0
2. 添加对BPXX系列不同封装的兼容性


[V2.13.4]
1. 修复对于BPxx系列不能导入固件版本号小于V2.0.0文件问题

[V2.13.3]
1. 修复BPxx系列差分输入不可选的问题

[V2.13.2]
1. 兼容协议 V2.13.2,支持最大内存参数的传入

[V2.13.1]
1. 支持在eq绘图界面导出eq list里参数功能

[v2.13.0]
1. 修改BPxx系列芯片GainBoost的参数值
2. 更改对BPxx系列芯片PGA0 和PGA1内参数的命名
3. 对BPxx系列加入mic1，2与line3L,R的识别功能

[V2.12.2]
1. 取消对BPxx音效列表设置的支持
2. 修复BPxx系列导出注释错误的bug
3. 修复BPxx系列取消L+R Adjust功能时， line2调节R时，L音量会变的bug

[V2.12.1]
1. 修复BPxx兼容性问题，兼容协议V2.12.1

[V2.12.0]
1. 兼容BPxx系列芯片,自动识别AP82x,DU26x,DU56x以及BPxx

[V2.11.0]
1. 兼容Chorus V1.1.0
2. 修复调节Chorus参数rate不起效的bug

[V2.10.1]
1. 更新ACP中文使用说明
2. 导出的bin文件中加入用户自定义TAG功能
3. 查询音效列表无回应时，作无音效处理

[V2.10.0]
1. 支持用户自定义TAG功能

[V2.9.1]
1. 修复DU56Pro更改音效列表时崩溃的bug

[V2.9.0]
1. 兼容新的音效Chorus V1.0.0
2. 修复加载文件时，SPDIF下发了两次的问题

[V2.8.1]
1. 兼容Karaoke SDK支持VocalCutV1.6.0版本
2. 用户自定义音效的UI实现 

[V2.8.0]
1. 更新VocalCut音效参数，并兼容老版本

[V2.7.4]
1. 修复添加Vocal Remover音效bug;

[V2.7.3]
1. 修改 Noise Suppressor中Threshold的笔误；
2. 导入INI文件，对版本号进行配置的错误操作；
3. 添加音频流框图可通过鼠标拖动的功能；
4. 更改"L+R Adjust"为“Link Left and Right”；
5. 更新ACP中英文使用说明

[V2.7.2]
1. 修复Vocal Cut的通过“Enable All Effect”和“Disable All Effect”操作不起效的BUG；
2. 修复固件的音效数据流框图的显示窗口不能通过鼠标拖动的问题；
3. 修复导入参数时音效版本号0x00的刷新问题；

[V2.7.1]
1. 修改加密密码对全部参数有效
2. 修改输入密码界面：加入密码的可视化和不可视选择，输入密码完成时光标自动跳到下个密码框功能
3. 更新中英文使用手册V2.7.0


[V2.7.0]
1. 兼容Harmonic Exciter音效
2. 修改音效添加界面
3. 对NORMAL SDK禁止ADC,DAC,SPDIF的写入操作
4. 修改PCM Delay的delay参数值单位为ms.
5. 遵循《固件与上位机通讯协议V2.7.0.pdf》


[V2.6.1]
1. 修复Karaoke SDK的FLASH保存功能时下载数据顺序问题

[V2.6.0]
1. 添加音效MVBass Classic和PCM Delay；
2. 整理音效添加页面的音效排序；
3. 添加系统一键还原默认参数功能；

[V2.5.1]
1. 修复echo的attenuation因V2.5.0版本优化引入的bug(不能通过界面调节)

[V2.5.0]
1. 添加Pitch Shifter Pro音效
2. 兼容《固件与上位机通信协议V2.4.0.pdf》

[V2.4.4]
1. 修复上电时Voice Changer Pro第二个参数无刷新问题。


[V2.4.3]
1. 更新中文使用说明书
2. 添加英文使用说明书
3. 更新Audio Effect界面的Effects菜单
4. 更新Log界面
5. 修复Frequency Shifter的参数顺序

[V2.4.2]
1. 对DU系列不开放DAC Pause功能；
2. DU562取消PGA0的line1和line2输入

[V2.4.1]
1. 修复点击DU562/262 MIX模块的下拉控件会导致系统崩溃的问题

[V2.4.0]
1. PGA0协议添加两个新参数；
2. 对不同的固件显示不同硬件界面，尤其为PGA界面和硬件音量界面；
3. DU562，DU262的MIX GAIN界面更新；
4. 修复上传超过音量列表个数的地址会导致系统崩溃的BUG；
5. Howling Suppressor音效中删掉DEBUG模式；

[V2.3.2]
1. 修复mic gainboost对Karaoke SDK不可选问题。

[V2.3.1]
1. 修改Pitch Shifter参数单位
2. 修改DU262/DU562音效列表的名称

[V2.3.0]
1. 兼容DU262和DU562.
2. 加入不同固件类型的音效防呆机制；
3. 支持协议V2.2.0
4. 导入参数时，先关闭音效，再下发所有音效参数。

[V2.2.0]
1. PGA区域添加音频输入通路的动态图。

[V2.1.2]
1. 识别Karaoke SDK和Normal SDK的版本号

[V2.1.1]
1. 修复导出.c文件中固件版本号（地址0x00）缺结束符0x16问题。

[V2.1.0]
1. 兼容DU261固件

[V2.0.4]
1. 限制修改的音效名最大长度为32；
2. 因PGA1因eco之后无差分输入，取消PGA1的diff input显示;
3. 修复导入参数bug（没有下发系统参数）；
4. 修改差分输入控件只有在line1和line2同时使能时才允许配置；
5. 导出.c和.bin中加入版本信息数据；

[V2.0.3]
1. 修复INI文件导入BUG
2. 修复DAC0 MUTE无效BUG


[V2.0.2]
1. 修复版本号检验错误问题

[V2.0.1]
1. 修复ADC0 Disable时，DC Blocker还能控制的BUG；
2. 修复ADC0，ADC1，DAC0，DAC1 gain不能通过快捷键上调的BUG;
3. 修复Noise Suppressor的Threshold下调慢的BUG；
4. 更新上位机使用说明书；


[V2.0.0]
1. 协议遵循《固件与上位机通信协议V2.0.1.pdf》
2. PGA添加差分输入使能功能

*****************************************************************************

[V1.2.3]
1. 修改SPDIF 可选的IO种类
2. 添加对Flash保存参数是否有效的提示
3. 修复不开log界面，PGA音量不好调节的问题
4. 对DU56X系列，添加Response检测
5. 添加对NORMAL SDK的兼容

[V1.2.2]
1. 修改I2S界面的T,R为Tx,Rx。
2. SPDIF RX使能时，定时刷新采样率

[V1.2.1]
1. 修复GPIO相关BUG

[V1.2.0]
1. 添加LOG界面
2. 添加查询是否设置参数有效的功能
3. 修改ADC0的L使能会导致采样率空间使能的错误；
4. LINE4 与MIC1和MIC2设置为互斥关系

[v1.1.3]
1. DU561导出参数中加入GPIO参数

[v1.1.2]
1. 更新SPDIF的IO复用关系
2. DU561界面的I2S0和SPDIF设为互斥关系


[V1.1.1]
1. 对采样率枚举值添加限制，防止出现不合法的采样率值。

[V1.1.0]
1. 添加新的音效：相位控制
2. 更新PGA音量表
3. 加入每个音效UI折叠和展开的功能
4. Audio Effect界面的菜单栏新加Effects菜单，包含：
   1）一键开启所有音效
   2）一键关闭所有音效
   3）一键展开所有音效界面
   4）一键折叠所有音效界面
   5）一键显示该固件的框图
 另右键也可以弹出该菜单界面。


[V1.0.0]
1.修改UI界面最大化的显示
2.修改DRC,EQ界面显示
3.修复V0.11.0之前版本的兼容性
4.细化版本号的显示
5.修复DU系列导出bin参数


[V0.11.3]
1.修复导入导出参数从而兼容DU系列
2.EQ的Pregain支持范围为-96dB ~ 18dB
3.更新SPDIF界面，适用于协议V1.10.1
4.FM更名为Line4
5.PGA0和PGA1的line2在界面上更改为互斥关系

[V0.11.2]
1. 调整音效添加的界面显示
2. 重新配置音效列表后下发音效的参数值
3. 音效名的显示修改为先显示音效名后显示控制字

[V0.11.1]
1. 添加在音效界面右键实现音效全开或全关的功能；
2. 增加DU保存参数到Flash的功能；

[V0.11.0]
1. 更改Memory总大小为224KByte;
2. 添加在当前EQ界面上导出参数和导入参数功能;
3. 兼容DU56x系列，支持音效列表改变；
4. 加入sleep功能
5. GainControl快速调节会突变问题。
6. 添加系统状态（0x02）协议里固件请求更新参数功能。
7. 添加SPDIF控制功能
 
[V0.10.5]
1. 添加升级功能

[V0.10.4]
1. 更新时钟源种类

[V0.10.3]
1. 取消对音效背景颜色改变的功能。

[V0.10.2]
1. 修复GainControl 四舍五入问题
2. 修复VB控制字错误问题

[V0.10.0]
1. 增加根据音效名字进行音效分组功能
2. 增加新的音效Voice Changer Pro

[V0.9.14]
1. 修复AGC的Noise Gate参数显示不一致问题
2. 修改Noise Gate的使能联动AGC的使能

[V0.9.13]
1. 修复添加新功能（使能音效时会马上查询SDK是否真正使能）时引入的错误

[V0.9.12]
1. 修复导出加密bin文件加密参数问题

[V0.9.11]
1. 修复Pro Reverb参数调节问题

[V0.9.10]
1. 修改导出bin文件的加密方式
2. 修改密码窗口的输入方式
3. 加入使能某个音效会查询是否使能成功功能。

[V0.9.9]
1. 增加中文使用文档
2. 增加音效参数的加密保护功能
3. 增加导出FLASH的BIN
4. 增加音效模式快速切换功能，默认为A\B两种，最多支持10种。
5. 兼容协议V1.6.0

[V0.9.8]
1.HID由4096个字节换成256个字节传输；

[V0.9.6]
1.导出的.c文件中对控制字进行了注释；
2.支持SDK中音效名的上传；


[V0.9.5]
1.加入音效的导入导出配置（只含音效）；
2.取消PGA的mute控制；
3.调整音量的一步步长；

[V0.9.4]
1.加入保存参数到flash的控制界面；
2.DAC的enable控制按钮变为不可操作；


[V0.9.3]
1. 修复DRC的table界面与控制界面不一致的问题，增加对DRC的pregain正增益支持。

[V0.9.2]
1. 修复DAC0的mute问题；
2. 修复Plate Reverb的damping和decay范围
3. HPC Enable改名为DC Blocker

[V0.9.0]
1. Silence Detector音效参数amplitude并实时刷新数值；
2. 修复导入参数时DAC1和Gain的音量值不正确问题；
3. 修复兼容性问题；
4. ADC中加入HPC的开关控制；
5. 修复启动软件时会下发ADC1 mute的命令问题；


